Index · Directives · Python · libudev · gudev systemd 220

## Name

systemd-bus-proxyd@.service, systemd-bus-proxyd.socket — Proxy classic D-Bus clients to kdbus

## Synopsis

`systemd-bus-proxyd@.service`

`systemd-bus-proxyd.socket`

## Description

`systemd-bus-proxyd.socket` will launch `systemd-bus-proxyd@.service` for connections to the classic D-Bus socket in `/var/run/dbus/system_bus_socket`.

`systemd-bus-proxyd@.service` is launched for an existing D-Bus connection and will use systemd-bus-proxyd to proxy messages from this connection to the system bus (either kdbus or classic D-Bus).

## See Also

systemd-bus-proxyd(8), dbus-daemon(1), D-Bus, kdbus